Subject: Re: [PATCH] Prevent legacy io access on pmac

From: Olaf Hering <[email-masked]>
Date: Mon, 11 Sep 2006 17:52:39 +0200

On Mon, Sep 11, Olaf Hering wrote:

> 
> The ppc32 common config runs also on PReP/CHRP, which uses PC style IO
> devices.  The probing is bogus, it crashes or floods dmesg.
> 
> ppc can boot one single binary on prep, chrp and pmac boards.
> ppc64 can boot one single binary on pseries and G5 boards.
> pmac has no legacy io, probing for PC style legacy hardware leads to a
> hard crash:

drivers/input/touchscreen/mk712.c pokes at 0x262 and other IO ports.
A comment in the driver suggests that it is only used on Gateway
computers. Should the driver be X86 only?